org.richfaces.renderkit.html

## Class AjaxStatusRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.AjaxStatusRenderer

-     public class AjaxStatusRenderer
      extends org.richfaces.renderkit.RendererBase

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxStatusRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeState(javax.faces.context.FacesContext facesContext, AbstractAjaxStatus status, org.richfaces.renderkit.html.AjaxStatusRenderer.StatusState state)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxStatusRenderer

          public AjaxStatusRenderer()

  - ### Method Detail

    - #### encodeState

          protected void encodeState(javax.faces.context.FacesContext facesContext,
                         AbstractAjaxStatus status,
                         org.richfaces.renderkit.html.AjaxStatusRenderer.StatusState state)
                              throws IOException

      Throws:
        `IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                         throws IOException

      Overrides:
        `encodeEnd` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.RendererBase`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.